%global gdate	20221230
%global gdatedaemon 20221230
%global rel	1

Name:           jami-client-qt
Summary:        The Qt client for the Jami communication framework
Version:        0.0
Release:        %mkrel %{?gdate:0.git%gdate.}%{rel}
Group:          Graphical desktop/KDE
License:        GPLv3+
URL:            https://jami.net/
# please use included jami-client-qt-source-download.sh to retrieve Source0 tarball.
Source0:        jami-client-qt-%{gdate}.tar.xz
Source1:        jami-client-qt-source-download.sh
Patch0:         jami-client-qt-rename.icon.patch
BuildRequires:  cmake
BuildRequires:  git-archive-all
BuildRequires:  ninja
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QmlIntegration)
BuildRequires:  cmake(Qt6QmlModels)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  pkgconfig(Qt6Positioning)
BuildRequires:  cmake(Qt6WebChannel)
%ifnarch %{arm32} %{arm64}
BuildRequires:  cmake(Qt6WebEngineCore)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libqrencode)

BuildRequires:  jami-daemon-devel >= 13.7.0-0.git%{gdatedaemon}

BuildRequires:  imagemagick

Provides:       jami-client-bin
Provides:       jami-qt = %{version}-%{release}

Requires:       jami-daemon
Requires:       qtdeclarative6
Requires:       qtmultimedia6

# Obsoleted by upstream
Obsoletes:	jami-client-gnome < 1.0.0-13.git20210730.3

%description
The Qt client for the Ring communication framework.

%package -n jami-client
Summary:        Launcher script to select between clients
Group:          Networking/Instant messaging
Conflicts:      jami-client-gnome < 1.0.0-13.git20210730.2
Requires:       jami-client-bin

%description -n jami-client
Launcher script to select between clients.

%prep
%setup -qn jami-client-qt-%{gdate}
%autopatch -p1

if [[ -d %{_includedir}/libringclient/web-chatview ]]; then
  ln -sf %{_includedir}/libringclient/web-chatview .
fi

%build
%global _vpath_builddir build-%{_arch}
%cmake \
%ifarch %{arm32} %{arm64}
  -DWITH_WEBENGINE:BOOL=OFF
%else
  -DWITH_WEBENGINE:BOOL=ON
%endif
%cmake_build

%install
%cmake_install

# not needed
rm -rf %{buildroot}%{_datadir}/jami-qt/
rm -rf %{buildroot}%{_datadir}/pixmaps/
rm -f  %{buildroot}%{_datadir}/jami/jami.desktop

%files
%license COPYING
%doc README.md
%{_bindir}/jami
%dir %{_datadir}/jami/
%{_datadir}/jami/translations/
%{_iconsdir}/hicolor/*/apps/jami-qt.{png,svg}
%{_datadir}/applications/jami.desktop
%{_metainfodir}/jami.appdata.xml
%{_mandir}/man1/jami.1*

%files -n jami-client
#{_bindir}/jami
